
TYPO3.Flow - Bug # 7069

Status: Closed Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2010-03-30 Assigned To: Karsten Dambekalns
Updated: 2011-09-09 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Value objects no longer used after being replaced are not removed
Description

When a value object is replaced (but not "actively deleted") it is not removed from the storage layer. In case of Resource objects the
connected file consequently remains as well.

History
#1 - 2010-07-09 14:32 - Robert Lemke
- Target version set to 1.0 alpha 11

#2 - 2010-08-18 17:03 - Karsten Dambekalns
- Target version deleted (1.0 alpha 11)

#3 - 2011-09-09 21:46 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To set to Karsten Dambekalns

The generic PDO backend is history and with Doctrine we store value objects as serialized LOBs, thus no more orphans.

The behavior of resource files needs to be checked...
